summaryrefslogtreecommitdiffstats
path: root/god/Reaktor/index
diff options
context:
space:
mode:
authorMomo <momorientes@online.de>2011-09-01 12:17:21 +0200
committerMomo <momorientes@online.de>2011-09-01 12:17:21 +0200
commitff0030cd7fe92a09173c16bf7b483cde638dab46 (patch)
tree33c1cd58756ea023eb304a1504b3a079a7eae63a /god/Reaktor/index
parent77d4efad2e89fe9357b10b1bd173fbded82468fe (diff)
parentabf8674a3fc02f172768be911c6e719290bf6bd5 (diff)
Merge branch 'master' of https://github.com/krebscode/painload
Diffstat (limited to 'god/Reaktor/index')
-rwxr-xr-xgod/Reaktor/index37
1 files changed, 37 insertions, 0 deletions
diff --git a/god/Reaktor/index b/god/Reaktor/index
new file mode 100755
index 00000000..a2e6fe61
--- /dev/null
+++ b/god/Reaktor/index
@@ -0,0 +1,37 @@
+#! /bin/sh
+#
+# //god/Reaktor - listen to UDP events and forward them to IRC
+#
+# export host passwd printto to configure jsb-udp
+#
+set -euf
+cd $(readlink -f $(dirname $0))
+
+listener=$(readlink -f lib/listener.py)
+
+jsb_version=0.7.1.2
+distdir=jsb-$jsb_version.tar.gz
+
+host=${host-91.206.142.247}
+passwd=${passwd-h4x0r}
+printto=${printto-#shackspace}
+
+if ! test -x tmp/jsb-$jsb_version; then
+ mkdir -p tmp
+ cd tmp
+ curl -f http://jsonbot.googlecode.com/files/jsb-$jsb_version.tar.gz | tar zx
+ cd jsb-$jsb_version
+ bin/jsb-udp -s </dev/null
+ cd ../..
+fi
+cd tmp/jsb-$jsb_version
+
+# TODO only if it is not already configured properly
+sed -i '
+ s/^host *=.*/host="'$host'"/
+ s/^passwd *=.*/passwd="'$passwd'"/
+ s/^printto *=.*/printto="'$printto'"/
+' config/udp-send
+
+# TODO output modules: stderr, jsb-udp, remount-ro, ...
+PYTHONUNBUFFERED=y $listener | tee /dev/stderr | bin/jsb-udp